Package org.kie.api.runtime

# Interface KieRuntime

All Superinterfaces:
  `EntryPoint`, `KieRuntimeEventManager`, `ProcessEventManager`, `ProcessRuntime`, `RuleRuntime`, `RuleRuntimeEventManager`

All Known Subinterfaces:
  `KieSession`

public interface KieRuntime extends RuleRuntime, ProcessRuntime, KieRuntimeEventManager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Calendars`
  `getCalendars()`
  `Map<String,Channel>`
  `getChannels()`
  `Environment`
  `getEnvironment()`
  `Object`
  `getGlobal(String identifier)`
  `Globals`
  `getGlobals()`
  `KieBase`
  `getKieBase()`
  `<T extends SessionClock>
  T`
  `getSessionClock()`
  `KieSessionConfiguration`
  `getSessionConfiguration()`
  `void`
  `registerChannel(String name, Channel channel)`
  `void`
  `setGlobal(String identifier, Object value)`
  Sets a global value in this session
  `void`
  `unregisterChannel(String name)`

  ### Methods inherited from interface org.kie.api.runtime.rule.EntryPoint

  `delete, delete, getEntryPointId, getFactCount, getFactHandle, getFactHandles, getFactHandles, getInstancesOf, getObject, getObjects, getObjects, getSingleInstanceOf, insert, retract, update, update`

  ### Methods inherited from interface org.kie.api.event.KieRuntimeEventManager

  `getLogger`

  ### Methods inherited from interface org.kie.api.event.process.ProcessEventManager

  `addEventListener, getProcessEventListeners, removeEventListener`

  ### Methods inherited from interface org.kie.api.runtime.process.ProcessRuntime

  `abortProcessInstance, createProcessInstance, getProcessInstance, getProcessInstance, getProcessInstances, getWorkItemManager, signalEvent, signalEvent, startProcess, startProcess, startProcess, startProcess, startProcessFromNodeIds, startProcessInstance`

  ### Methods inherited from interface org.kie.api.runtime.rule.RuleRuntime

  `getAgenda, getEntryPoint, getEntryPoints, getQueryResults, halt, openLiveQuery`

  ### Methods inherited from interface org.kie.api.event.rule.RuleRuntimeEventManager

  `addEventListener, addEventListener, getAgendaEventListeners, getRuleRuntimeEventListeners, removeEventListener, removeEventListener`

- ## Method Details

  - ### getSessionClock

    <T extends SessionClock> T getSessionClock()
    Returns:
      the session clock instance assigned to this session

  - ### setGlobal

    void setGlobal(String identifier, Object value)
    Sets a global value in this session
    Parameters:
      `identifier` - the global identifier
      `value` - the value assigned to the global identifier

  - ### getGlobal

    Object getGlobal(String identifier)

  - ### getGlobals

    Globals getGlobals()

  - ### getCalendars

    Calendars getCalendars()

  - ### getEnvironment

    Environment getEnvironment()

  - ### getKieBase

    KieBase getKieBase()
    Returns:
      the KieBase reference from which this stateful session was created.

  - ### registerChannel

    void registerChannel(String name, Channel channel)

  - ### unregisterChannel

    void unregisterChannel(String name)

  - ### getChannels

    Map<String,Channel> getChannels()

  - ### getSessionConfiguration

    KieSessionConfiguration getSessionConfiguration()